<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <meta charset="UTF-8">
    <title>List Upload Berkas</title>
</head>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="clearfix">
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel tile fixed_height_160">
                <div class="x_title">
                    <h1 style="font-style: normal; font-size: 30px;" th:text="${'Berkas Pendaftar : '+ pendaftar.leads.nama + ' > ' + pendaftar.nomorRegistrasi}">

                    </h1>

                    <!--<a th:href="@{/uploadBerkas/listAdmin ?pendaftar=}+${pendaftar.id}" target="_blank">-->
                        <!--<button type="submit" class="btn btn-sm btn-success">-->
                            <!--<i class="fa fa-cloud-upload"></i>-->
                            <!--<small>Upload Berkas&nbsp;</small>-->
                        <!--</button>-->
                    <!--</a>-->
                    <div class="clearfix"></div>
                </div>
                <div class="row clearfix">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="card">
                            <div class="row clearfix">
                                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                    <div class="card">
                                        <div class="body">

                                            <hr>
                                            <div class="row">
                                                <div class="table-responsive">
                                                    <table class="table table-bordered table-striped table-hover">
                                                        <thead>
                                                        <tr align="center">
                                                            <th>No</th>
                                                            <th>Berkas</th>
                                                            <th>Lihat</th>
                                                            <th>Status</th>
                                                            <th>Keterangan</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                            <tr th:each="br, row : ${daftarBerkas}">
                                                                <td th:text="${(row.index + 1) + (daftarBerkas.number * daftarBerkas.size)}">1.</td>
                                                                <td th:text="${br.jenisBerkas}">SKL (Surat Keterangan Lulus)</td>
                                                                <td>
                                                                    <a th:if="${br.jenisBerkas.NIRM != br.jenisBerkas}"
                                                                       target="_blank" th:href="@{/berkas/{berkas}/berkas/(berkas=${br.id})}">
                                                                        <button type="submit" class="btn btn-xs btn-success">
                                                                            <i class="fa fa-file-image-o"></i>
                                                                            <small>Lihat Berkas&nbsp;</small>
                                                                        </button>
                                                                    </a>
                                                                    <a th:if="${br.jenisBerkas.NIRM == br.jenisBerkas}"
                                                                       target="_blank" th:href="@{/file/{fileBerkas}(fileBerkas=${br.fileBerkas},berkas=${br.id})}">
                                                                        <button type="submit" class="btn btn-xs btn-success">
                                                                            <i class="fa fa-file-image-o"></i>
                                                                            <small>Download Berkas&nbsp;</small>
                                                                        </button>
                                                                    </a>
                                                                </td>
                                                                <td>
                                                                    <div th:if="${br.status == br.status.WAITING}">
                                                                        <form th:action="@{/uploadBerkas/approved(berkas=${br.id})}" method="post">
                                                                            <button  onclick="functionAktif()"  type="submit" class="btn btn-info btn-xs">APPROVED</button>
                                                                        </form>
                                                                        <a  class="btn btn-danger btn-xs" data-toggle="modal" th:data-target="${'#'+br.id}">REJECTED</a>
                                                                    </div>
                                                                    <div th:if="${br.status == br.status.APPROVED}">
                                                                        <a type="button"  class="btn btn-info btn-xs">APPROVED</a>
                                                                    </div>
                                                                    <div th:if="${br.status == br.status.REJECTED}">
                                                                        <a type="button" class="btn btn-danger btn-xs">REJECTED</a>
                                                                    </div>
                                                                </td>
                                                                <td th:if="${br.status == br.status.REJECTED}" th:text="${br.alasan}"></td>
                                                                <td th:if="${br.status != br.status.REJECTED}">&nbsp;</td>
<!--                                                                <td th:if="${!br.status}">-->
                                                                    <!-- Modal -->
                                                                    <div class="modal fade" th:id="${br.id}" role="dialog">
                                                                        <div class="modal-dialog">

                                                                            <!-- Modal content-->
                                                                            <form method="post" th:action="@{/uploadBerkas/reject}">
                                                                                <div class="modal-content">
                                                                                    <div class="modal-header">
                                                                                        <input type="hidden" name="id" th:value="${br.id}">
                                                                                        <input type="hidden" name="pendaftar" th:value="${br.pendaftar.id}">
                                                                                        <input type="hidden" name="jenisBerkas" th:value="${br.jenisBerkas}">
                                                                                        <input type="hidden" name="fileBerkas" th:value="${br.fileBerkas}">
                                                                                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                                                                                        <h4 class="modal-title"th:text="'Reject File '+${br.jenisBerkas}">Reject File </h4>
                                                                                    </div>
                                                                                    <div class="modal-body">
                                                                                        <label>Alasan :</label>
                                                                                        <input type="text" name="alasan" class="form-control" required>
                                                                                        <p>Isi alasan reject dengan sesuai.</p>
                                                                                    </div>
                                                                                    <div class="modal-footer">
                                                                                        <button type="submit" class="btn btn-danger"
                                                                                                onclick="return confirm('Are you sure want to reject this?')">Reject</button>
                                                                                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                                                                    </div>
                                                                                </div>
                                                                            </form>

                                                                        </div>
                                                                    </div>
<!--                                                                </td>-->
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                        <!--//table//-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</section>

</body>
</html>

<script>
    function functionAktif() {
        if (confirm('Approved file?')) {
            // Save it!
            console.log('Thing was saved to the database.');
        } else {
            // Do nothing!
            console.log('Thing was not saved to the database.');
        }
    }
</script>